/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package ca.gosyer.data.server

import ca.gosyer.common.prefs.Preference
import ca.gosyer.common.prefs.PreferenceStore

class ServerPreferences(private val preferenceStore: PreferenceStore) {

    fun host(): Preference<Boolean> {
        return preferenceStore.getBoolean("host", true)
    }

    fun server(): Preference<String> {
        return preferenceStore.getString("server_url", "http://localhost")
    }

    fun port(): Preference<Int> {
        return preferenceStore.getInt("server_port", 4567)
    }

    fun serverUrl(): Preference<String> {
        return ServerUrlPreference("", server(), port())
    }
}
